#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv)
{
    if (argc != 3) exit(EXIT_FAILURE);

    FILE *infile = fopen(argv[1],"rb");
    if (!infile) exit(EXIT_FAILURE);

    FILE *outfile = fopen(argv[2],"wb");
    if (!outfile) exit(EXIT_FAILURE);

    char buf[128];
    int stillalive = 1;

    fseek(infile, 0xf, SEEK_SET);
    while (stillalive)
    {
        switch (fgetc(infile))
        {
            case 0x00:
                fseek(infile, 54, SEEK_CUR);
                break;
            case 0x02:
                fseek(infile, 18, SEEK_CUR);
                break;
            case 0x03:
                fseek(infile, 78, SEEK_CUR);
                break;
            case 0x04:
                fseek(infile, 90, SEEK_CUR);
                stillalive = 0;
                break;
            case 0x05:
                fread(buf, 128, 1, infile);
                fwrite(buf, 128, 1, outfile);
                break;
            default:
                printf("bad value at %lx\n", ftell(infile));
                exit(EXIT_FAILURE);
        }
    }

    return 0;
}
